Subject: Re: [PATCHv3 7/8] fast-import: Add support for importing commit notes

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 29 Jul 2009 07:21:21 -0700

Johan Herland <[email-masked]> wrote:
> Introduce a 'notemodify' subcommand of the 'commit' command. This subcommand
> is similar to 'filemodify', except that no mode is supplied (all notes have
> mode 0644), and the path is set to the hex SHA1 of the given "comittish".
> 
> This enables fast import of note objects along with their associated commits,
> since the notes can now be named using the mark references of their
> corresponding commits.
> 
> The patch also includes a test case of the added functionality.

Seems sane to me.

Acked-by: Shawn O. Pearce <[email-masked]>
 
> +static void note_change_n(struct branch *b)
> +{
...
> +	tree_content_set(&b->branch_tree, sha1_to_hex(commit_sha1), sha1,
> +		S_IFREG | 0644, NULL);

I thought you wanted to use the note code to handle the name
formatting here?

-- 
Shawn.